Package org.apache.tools.ant.util

## Class CollectionUtils.EmptyEnumeration<E>

- java.lang.Object
- - org.apache.tools.ant.util.CollectionUtils.EmptyEnumeration<E>

All Implemented Interfaces:
  `java.util.Enumeration<E>`

Enclosing class:
  CollectionUtils

    @Deprecated
    public static final class CollectionUtils.EmptyEnumeration<E>
    extends java.lang.Object
    implements java.util.Enumeration<E>

Deprecated.
An empty enumeration.

Since:
  Ant 1.6

### Constructor Summary

Constructors
`EmptyEnumeration()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `hasMoreElements()` Deprecated.
`E` `nextElement()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Enumeration

`asIterator`

### Constructor Detail

#### EmptyEnumeration

    public EmptyEnumeration()

Deprecated.

### Method Detail

#### hasMoreElements

    public boolean hasMoreElements()

Deprecated.

Specified by:
  `hasMoreElements` in interface `java.util.Enumeration<E>`
Returns:
  false always.

#### nextElement

    public E nextElement()
                  throws java.util.NoSuchElementException

Deprecated.

Specified by:
  `nextElement` in interface `java.util.Enumeration<E>`
Returns:
  nothing.
Throws:
  `java.util.NoSuchElementException` - always.